Bug 204600 - security/libgcrypt: Readd missing patch
Summary: security/libgcrypt: Readd missing patch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords: easy, patch, patch-ready, regression
Depends on:
Blocks: 204323 204399
  Show dependency treegraph
 
Reported: 2015-11-16 15:20 UTC by Carlos J Puga Medina
Modified: 2016-01-04 06:03 UTC (History)
4 users (show)

See Also:
koobs: merge-quarterly?


Attachments
v0 (1.53 KB, patch)
2015-11-16 15:20 UTC, Carlos J Puga Medina
koobs: maintainer-approval+
cjpm: maintainer-approval+
Details | Diff
poudriere testport on 93x32 (147.52 KB, text/x-log)
2015-11-16 20:33 UTC, Carlos J Puga Medina
no flags Details
poudriere testport on 93x64 (166.87 KB, text/x-log)
2015-11-16 20:33 UTC, Carlos J Puga Medina
no flags Details
poudriere testport on 10x32 (175.84 KB, text/x-log)
2015-11-16 20:33 UTC, Carlos J Puga Medina
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J Puga Medina 2015-11-16 15:20:12 UTC
Created attachment 163198 [details]
v0

This patch was removed when updating to 1.6.4, so the patch needs to be put back in order to solve the bug 204399.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-16 16:54:22 UTC
Carlos can you please confirm this passes QA

Also:

Should this go upstream?
Is there a root cause fix that can be made in KeePass?
Comment 2 Carlos J Puga Medina 2015-11-16 19:52:49 UTC
(In reply to Kubilay Kocak from comment #1)

Testing@work via poudriere. As to whether this patch should go upstream. The answer is yes, it should go upstream. Currently I'm not sure if exists a fix for KeePassX :(
Comment 3 Carlos J Puga Medina 2015-11-16 20:33:03 UTC
Created attachment 163211 [details]
poudriere testport on 93x32
Comment 4 Carlos J Puga Medina 2015-11-16 20:33:23 UTC
Created attachment 163212 [details]
poudriere testport on 93x64
Comment 5 Carlos J Puga Medina 2015-11-16 20:33:46 UTC
Created attachment 163213 [details]
poudriere testport on 10x32
Comment 6 Carlos J Puga Medina 2015-11-16 20:35:07 UTC
% portlint -ac
WARN: Consider to set DEVELOPER=yes in /etc/make.conf
0 fatal errors and 1 warning found.
Comment 7 Jason Unovitch freebsd_committer 2015-11-20 00:58:59 UTC
Assign PR.
Comment 8 Jason Unovitch freebsd_committer 2015-11-20 01:12:57 UTC
Carlos,
This is a tricky one with restoring previous files.  The process is similar to re-adding a deleted port [1].  We do this for a clean SVN history and you will need to copy the patch from the revision before it was deleted.  For example,

svn cp --parents 'svn+ssh://cpm@repo.FreeBSD.org/ports/head/security/libgcrypt/files/patch-cipher-Makefile.in@400318' files/patch-cipher-Makefile.in

The `svn status` should reflect:

M       Makefile
A       files
A  +    files/patch-cipher-Makefile.in

Please update your QA and provide a commit message when you have done so.

Additionally, please provide a reference to the upstream report of the issue so that there is visibility on it being reported.

[1] https://www.freebsd.org/doc/en_US.ISO8859-1/articles/committers-guide/ports.html#ports-qa-resurrect
Comment 9 commit-hook freebsd_committer 2015-11-22 17:33:09 UTC
A commit references this bug:

Author: pi
Date: Sun Nov 22 17:33:05 UTC 2015
New revision: 402237
URL: https://svnweb.freebsd.org/changeset/ports/402237

Log:
  security/libgcrypt: Re-add missing patch

  - This patch was removed when updating to 1.6.4, so the patch needs
    to be put back in order to solve the bug 204399.

  PR:		204600
  Submitted by:	Carlos J. Puga Medina <cpm@fbsd.es> (maintainer)

Changes:
  head/security/libgcrypt/Makefile
  head/security/libgcrypt/files/
  head/security/libgcrypt/files/patch-cipher-Makefile.in
Comment 10 Kurt Jaeger freebsd_committer 2015-11-22 17:35:10 UTC
Carlos, please try to push the fix upstream.
Comment 11 Carlos J Puga Medina 2015-12-11 11:16:27 UTC
(In reply to Kurt Jaeger from comment #10)

Here it is:

https://lists.gnupg.org/pipermail/gcrypt-devel/2015-November/003632.html
Comment 12 Martin Wilke freebsd_committer 2015-12-20 08:56:10 UTC
Done in rev: 402237
Comment 13 Martin Wilke freebsd_committer 2015-12-20 08:56:10 UTC
Done in rev: 402237
Comment 14 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-21 05:07:15 UTC
Assign to committer that resolved, Re-open for MFH